Package proton :: Module reactor :: Class Filter

[frames] | no frames]

# Class Filter

source code

    object --+
             |
    LinkOption --+
                 |
    ReceiverOption --+
                     |
                    Filter

Known Subclasses:
  - Selector

Instance Methods

__init__(self, filter_set=`{``}`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

apply(self, receiver) Subclasses will implement any configuration logic in this method | source code

Inherited from `ReceiverOption`: `test` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, filter_set=`{``}`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### apply(self, receiver)

source code

Subclasses will implement any configuration logic in this method

Overrides: LinkOption.apply
  (inherited documentation)